Graver et k3b , apt-get pas gai


#1

Bonjour

et bonne année aussi

voila comment je la commence (ou la finit)
avec une install k3b qui ne veut pas

[code]debiantnb:/home/fpolux# apt-get install k3b
Lecture des listes de paquets… Fait
Construction de l’arbre des dépendances… Fait
Certains paquets ne peuvent être installés. Ceci peut signifier
que vous avez demandé l’impossible, ou bien, si vous utilisez
la distribution unstable, que certains paquets n’ont pas encore
été créés ou ne sont pas sortis d’Incoming.

Puisque vous n’avez demandé qu’une seule opération, le paquet n’est
probablement pas installable et vous devriez envoyer un rapport de bogue.
L’information suivante devrait vous aider à résoudre la situation :

Les paquets suivants contiennent des dépendances non satisfaites :
k3b: Dépend: k3blibs (>= 0.11.20) mais ne sera pas installé
Dépend: kdelibs4 (>= 4:3.3.2-1) mais ne sera pas installé
Dépend: libarts1 (>= 1.3.2) mais ne sera pas installé
Dépend: libqt3c102-mt (>= 3:3.3.3) mais ne sera pas installé
E: Paquets défectueux
[/code]
et voici mon sources.lsit (j’anticipe la question)

[code]#stable

deb http://ftp.fr.debian.org/debian stable main contrib non-free
deb-src http://ftp.fr.debian.org/debian stable main contrib non-free

#securite
deb http://security.debian.org/ stable/updates main contrib non-free
deb-src http://security.debian.org/ stable/updates main contrib non-free
#deb http://security.debian.org/ testing/updates main contrib non-free
#deb-src http://security.debian.org/ testing/updates main contrib non-free
deb http://ftp.rfc822.org/debian-security stable/updates main contrib non-free
deb-src http://ftp.rfc822.org/debian-security stable/updates main contrib non-free

#Testing
deb http://ftp.fr.debian.org/debian testing main contrib non-free
deb-src http://ftp.fr.debian.org/debian testing main contrib non-free

deb http://security.debian.org etch/updates main contrib non-free
deb-src http://security.debian.org/ etch/updates main contrib non-free

deb http://ftp.fr.debian.org/debian etch main contrib non-free
deb-src http://ftp.fr.debian.org/debian etch main contrib non-free

#amule
#deb http://www.backports.org/debian stable all
#deb http://apt.bxlug.be/sarge/ main/
#deb http://apt.bxlug.be/sarge/ not-debian/

#bittorent
deb http://mirror.xaranet.de/debian-backports/debian stable all

#mirroir video et autre http://debian.video.free.fr/
deb ftp://ftp.nerim.net/debian-marillat/ sarge main
deb ftp://ftp.nerim.net/debian-marillat/ etch main

Package non officiel

deb http://ftp.debian-unofficial.org/debian sarge main contrib non-free restricted
deb-src http://ftp.debian-unofficial.org/debian sarge main contrib non-free restricted

#GIMP

#java
deb http://z42.de debian/

[/code]

alors qui à une idée ?? j’ai annoté les testing etch mais il ne c’est rien passé…


#2

fais une recherche sur ce forum sur le mot clée libqt3c102-mt

le sujet a déjà été traité maintes fois …

@+

(je crois que je vais faire de cette réponse ma signature …)


#3

[quote=“ghostintheshell”]fais une recherche sur ce forum sur le mot clée libqt3c102-mt

le sujet a déjà été traité maintes fois …

@+

(je crois que je vais faire de cette réponse ma signature …)[/quote]
:laughing: :laughing: Pourquoi pas ca pourrait etre marrant :smiley:

Tout paquet dépendant de la librairie libqt3c102-mt n’est pas disponible sur etch (testing) faut aller les cherchers ailleurs :slightly_smiling:


#4

j’ai essaye de passer par synaptic (que jen’aime pas bcp mais bon )

k3b:
Dépend : k3blibs mais ne doit pas être installé
Dépend : kdelibs4 mais ne doit pas être installé
Dépend : libarts1 mais ne doit pas être installé
Dépend : libqt3c102-mt mais ne doit pas être installé

pourquoi ça ne doit pas être installé ???


#5

C’est toujours la meme raison que tu passe par synaptic apt-get ou quelque autres moyen du moment que tu recherche ses paquets la en testing ca ne passera que lorsque la librairie libqt3c102-mt sera disponible en testing.

Tous les paquets qui ne peuvent pas etre installé et que tu presente ont besoin de cette librairie.

Si tu veux absolument gravé tu peux utiliser graveman que j’utilise pour le moment en remplacement de k3b (il fait meme les dvds :slightly_smiling: )

[code]apt-cache show graveman
Package: graveman
Priority: optional
Section: gnome
Installed-Size: 2416
Maintainer: Otavio Salvador otavio@debian.org
Architecture: i386
Version: 0.3.12-4-2.1
Depends: libatk1.0-0 (>= 1.9.0), libc6 (>= 2.3.5-1), libflac7, libglade2-0 (>= 1:2.5.1), libglib2.0-0 (>= 2.8.0), libgtk2.0-0 (>= 2.6.0), libid3tag0 (>= 0.15.1b), libmad0 (>= 0.15.1b), libmng1 (>= 1.0.3-1), libogg0 (>= 1.1.2), libpango1.0-0 (>= 1.8.2), libvorbis0a (>= 1.1.0), libxml2 (>= 2.6.21), zlib1g (>= 1:1.2.1), cdrecord, mkisofs, sox, vorbis-tools, dvd+rw-tools, cdrdao
Filename: pool/main/g/graveman/graveman_0.3.12-4-2.1_i386.deb
Size: 705466
MD5sum: 3ae4b1bbd1ee46d685f0a36c92cc96f0
Description: graphical tool to burn dvd and cd, gtk based
Graphical tool to burn dvd and cdi, made with gtk. You can:

  • Burn audio cd from wav, ogg or mp3.
  • Duplicate cd audio, cd data and dvd data.
  • Create iso images from data cd and dvd.
  • Burn cd and dvd data from iso image.
  • Format cd and dvd rewritable.
  • Burn data cd and dvd with files and directories that you choose.
  • Use drag and drop with nautilus or integrated file dialog.
    .
    Homepage: http://www.nongnu.org/graveman/
    Tag: hardware::storage:cd, hardware::storage:dvd, interface::x11, made-of::lang:c, uitoolkit::gtk, use::storing, works-with::archive:iso9660, works-with::audio:mp3, works-with::audio:oggvorbis, works-with::audio:wav, x11::application

Package: graveman
Priority: optional
Section: gnome
Installed-Size: 1380
Maintainer: Otavio Salvador otavio@debian.org
Architecture: i386
Version: 0.3.10-2-1
Depends: libatk1.0-0 (>= 1.7.2), libc6 (>= 2.3.2.ds1-4), libflac6, libglade2-0 (>= 1:2.4.2-2), libglib2.0-0 (>= 2.6.0), libgtk2.0-0 (>= 2.6.0), libid3tag0 (>= 0.15.0b), libmad0 (>= 0.15.1b), libogg0 (>= 1.1.2), libpango1.0-0 (>= 1.8.1), libvorbis0a (>= 1.1.0), libxml2 (>= 2.6.16), zlib1g (>= 1:1.2.1), cdrecord, mkisofs, sox, vorbis-tools, dvd+rw-tools, cdrdao
Filename: pool/main/g/graveman/graveman_0.3.10-2-1_i386.deb
Size: 379144
MD5sum: 25c7d5b2e22cfcf14b3cd94d273e1f45
Description: graphical tool to burn dvd and cd, gtk based
Graphical tool to burn dvd and cdi, made with gtk. You can:

  • Burn audio cd from wav, ogg or mp3.
  • Duplicate cd audio, cd data and dvd data.
  • Create iso images from data cd and dvd.
  • Burn cd and dvd data from iso image.
  • Format cd and dvd rewritable.
  • Burn data cd and dvd with files and directories that you choose.
  • Use drag and drop with nautilus or integrated file dialog.
    .
    Homepage: http://www.nongnu.org/graveman/

[/code]ou alors tu peux aller rechercher k3b en stable ou unstable mais il faudra te faire une mise a jour de plusieurs fichiers :confused:


#6

ce que j’ai fais sans souci.
je suis en Etch et j’ai été chercher tout ce qu’il faut en Sid.
quelques petites mises à jour et hop, j’ai à nouveau K3b (egalement Kaffeine et quelques autres bricoles).

pour plus d’infos, faire une recherche sur ce même forum … (c’est pas que je veux pas expliquer mais reexpliquer toujours la meme chose, c’est soualant :wink: ).

n’empeche, si quelqu’un connait un gars de la team Debian, ca serait bien de lui poser la question de savoir pourquoi c’est aussi long (ca fait plusieurs semaines maintenant!!) et s’il est prévu quelque chose pour ce problème de librairies!?!

@+


#7

J’ai fait quelques recherches mais je n’ai pas vraiment trouvé de réponses

packages.qa.debian.org/q/qt-x11-free.html
qa.debian.org/developer.php?logi … debian.org
qa.debian.org/developer.php?logi … debian.org

C’est tout ce que j’ai trouver pour le moment apparement la libraire proviendrais du paquet qt-x11-free.


#8

Ma seule réponse à ce problème:
Repasses ta distrib complètement en Sarge et ca t’évitera beaucoup de problèmes.
J’ai récemment fait la manip. et je ne le regrette pas …
Etch/Sid c’est ok pour faire des essais mais pas encore mûr pour utiliser sur sa machine principale, sinon tu passeras la plus grande partie de ton temps à réparer ce qui a cassé après un upgrade.
En Sarge, TOUS les outils qui te posent problèmes fonctionnent parfaitement.


#9

bon je suis passé par la soluce graveman…

merci à tous


#10

[quote=“jabba”]Ma seule réponse à ce problème:
Repasses ta distrib complètement en Sarge et ca t’évitera beaucoup de problèmes.
J’ai récemment fait la manip. et je ne le regrette pas …
Etch/Sid c’est ok pour faire des essais mais pas encore mûr pour utiliser sur sa machine principale, sinon tu passeras la plus grande partie de ton temps à réparer ce qui a cassé après un upgrade.
En Sarge, TOUS les outils qui te posent problèmes fonctionnent parfaitement.[/quote]

quelle sagesse Jabba :slightly_smiling:

mais, perso, je me vois mal rester en Sarge!
actuellement ca peut encore aller mais d’ici quelques mois …
autant rester sur une Ubuntu alors! (dans mon cas, je precise).

non, sincerement, je suis tres content de la Etch.
le seul veritable souci que j’ai rencontré est celui-ci et avec un peu de bon sens et de logique je l’ai resolu relativement aisement …

je peux comprendre qu’une “testing” (Etch en l’occurence) puisse rencontrer quelques soucis lors de “gros” changements mais aussi longtemps sans etre resolu cela me parait quand-même étrange?!

sur ce, une très bonne année à tous les membres de ce forum (et aux autres lol) :smiley:


#11

Quelques explications sur les raisons du problème actuel en Testing :
http://bjorn.haxx.se/debian/testing.pl?package=k3b
Ca fait longtemps que ça dure, et ça ne semble pas prêt de se réparer à court terme…


#12

Bah… C’est plus une question de flemme que de sagesse :laughing:
En fait, j’ai tellement de matos exotique sur ma machine principale:
[ul]Amd64
Firewire
Double Tuner TV
Disque usb avec émulation réseau …
etc, etc…
[/ul]
Que j’ai pas spécialement l’envie de passer mes jours et mes nuits à réparer la casse après chaque upgrade. Et surtout pas assez de temps à y consacrer…
Et puis, il y a d’autres choses que l’informatique dans la vie, hein :wink:
C’est dans ce sens que je trouve que la Sarge est un excellent choix: tu ne te pose plus la question si après la prochaine maj. ca fonctionnera encore…
Tu es sûr que ca fonctionnera encore … 8)
Bon, c’est clair que dans 6 mois ou 1 an, j’aurai envie de bouger en Etch. Et ca se fera beaucoup plus en douceur parce que Etch aura “pris de la bouteille”